#include "ordini.h"


Pizza* leggiOrdini(char *filename, int *numPizze)
{
	FILE *fp;
	Pizza *result;
	int temp;
	

	*numPizze = 0;
	if ((fp=fopen(filename, "rb")) == NULL)
	{
		return NULL;
	}

	fread(&temp, sizeof(int), 1, fp);
	result = (Pizza *) malloc(sizeof(Pizza) * temp);

	while (*numPizze < temp)
	{
		result[*numPizze] = leggiPizza(fp);
		*numPizze = *numPizze + 1;
	}

	fclose(fp);

	return result;
}


void swap(Pizza *a, Pizza *b)
{
	Pizza tmp = *a;
	*a = *b;
	*b = tmp;
}


void naiveSortR(Pizza a[], int dim)
{
	int i, posmin;
	Pizza min;
	if (dim == 1)
	{
		return;
	}
	for (posmin = 0, min = a[0], i = 1; i < dim; i++)
	{
		if (strcmp(a[i].nomeCliente,min.nomeCliente)<0)
		{
			posmin = i;
			min = a[i];
		}
	}
	if (posmin != 0)
	{
		swap(&a[0], &a[posmin]);
	}
	naiveSortR(&a[1], dim - 1);
}
